from paulscode.sound import SoundSystemConfig

class SoundManager(object):
	def __init__(self, ss):
		self.play_sfx = True
		self.play_music = True
		self.current_music = None
		self.ss = ss
		self.looping = dict()
	def play(self, playable):
		if self.play_sfx:
			self.ss.quickPlay(False, playable, False, 0, 0, 0,
					SoundSystemConfig.ATTENUATION_NONE, 0)
	def set_music(self, k):
		if self.play_music is False: return
		if self.ss.playing("music"):
			self.ss.fadeOutIn("music", k, 500, 0)
		else:
			self.ss.backgroundMusic("music", k, True)
	def set_play_sfx(self, val):
		self.play_sfx = val
	def set_play_music(self, val):
		self.play_music = val
		if self.ss.playing("music") and val is False:
			self.ss.setVolume("music", 0)
		else: 
			self.ss.setVolume("music", 1)

class Klaxon(object):
	def __init__(self, sound_manager):
		self.last_klaxon = millis()
		self.klaxon_interval = 500
		self.sounding = False
		self.sound_manager = sound_manager
	def start(self):
		self.sounding = True
	def stop(self):
		self.sounding = False
	def update(self):
		if millis() > self.last_klaxon + self.klaxon_interval and self.sounding:
			self.last_klaxon = millis()
			self.sound_manager.play('klaxon.wav')

